summaryrefslogtreecommitdiffstats
path: root/qemu/dtc/tests/tests.sh
diff options
context:
space:
mode:
authorRajithaY <rajithax.yerrumsetty@intel.com>2017-04-25 03:31:15 -0700
committerRajitha Yerrumchetty <rajithax.yerrumsetty@intel.com>2017-05-22 06:48:08 +0000
commitbb756eebdac6fd24e8919e2c43f7d2c8c4091f59 (patch)
treeca11e03542edf2d8f631efeca5e1626d211107e3 /qemu/dtc/tests/tests.sh
parenta14b48d18a9ed03ec191cf16b162206998a895ce (diff)
Adding qemu as a submodule of KVMFORNFV
This Patch includes the changes to add qemu as a submodule to kvmfornfv repo and make use of the updated latest qemu for the execution of all testcase Change-Id: I1280af507a857675c7f81d30c95255635667bdd7 Signed-off-by:RajithaY<rajithax.yerrumsetty@intel.com>
Diffstat (limited to 'qemu/dtc/tests/tests.sh')
-rw-r--r--qemu/dtc/tests/tests.sh61
1 files changed, 0 insertions, 61 deletions
diff --git a/qemu/dtc/tests/tests.sh b/qemu/dtc/tests/tests.sh
deleted file mode 100644
index 31530d5e2..000000000
--- a/qemu/dtc/tests/tests.sh
+++ /dev/null
@@ -1,61 +0,0 @@
-# Common functions for shell testcases
-
-PASS () {
- echo "PASS"
- exit 0
-}
-
-FAIL () {
- echo "FAIL" "$@"
- exit 2
-}
-
-FAIL_IF_SIGNAL () {
- ret="$1"
- if [ "$ret" -gt 127 ]; then
- signame=$(kill -l $((ret - 128)))
- FAIL "Killed by SIG$signame"
- fi
-}
-
-DTC=../dtc
-DTGET=../fdtget
-DTPUT=../fdtput
-
-verbose_run () {
- if [ -z "$QUIET_TEST" ]; then
- "$@"
- else
- "$@" > /dev/null 2> /dev/null
- fi
-}
-
-verbose_run_check () {
- verbose_run "$@"
- ret="$?"
- FAIL_IF_SIGNAL $ret
- if [ $ret != 0 ]; then
- FAIL "Returned error code $ret"
- fi
-}
-
-verbose_run_log () {
- LOG="$1"
- shift
- "$@" > "$LOG" 2>&1
- ret=$?
- if [ -z "$QUIET_TEST" ]; then
- cat "$LOG" >&2
- fi
- return $ret
-}
-
-verbose_run_log_check () {
- verbose_run_log "$@"
- ret="$?"
- FAIL_IF_SIGNAL $ret
- if [ $ret != 0 ]; then
- FAIL "Returned error code $ret"
- fi
-}
-